Bug 1568834 - Missing BuildRequires: kde-filesystem in perl-Qt.spec
Summary: Missing BuildRequires: kde-filesystem in perl-Qt.spec
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: perl-Qt
Version: epel7
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Sergio Monteiro Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 10:08 UTC by Olivier LAHAYE
Modified: 2018-05-19 04:37 UTC (History)
4 users (show)

Fixed In Version: perl-Qt-4.14.3-14.fc28 perl-Qt-4.14.3-14.fc26 perl-Qt-4.14.3-14.fc27 perl-Qt-4.14.3-14.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-11 21:12:54 UTC


Attachments (Terms of Use)

Description Olivier LAHAYE 2018-04-18 10:08:39 UTC
Description of problem:
Missing BuildRequires: kde-filesystem

Version-Release number of selected component (if applicable):
All

How reproducible:
100%

Steps to Reproduce:
1. make sure kde-filesystem is not installed
2. rpmbuild --rebuild perl-Qt-4.14*src.rpm
3.  Fails: %{cmake_kde4} ..... fg: no job control

Actual results:
Fails: %{cmake_kde4} ..... fg: no job control

Expected results:
Build or refuse build id kde-filesystem is not installed

Additional info:
cmake_kde4 is defined in macros.kde4 which is part of kde-filesystem package.
If this package is not installed, the macro is not defined and the build fails.

Comment 1 Fedora Update System 2018-04-19 03:02:03 UTC
perl-Qt-4.14.3-14.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-3d19253897

Comment 2 Olivier LAHAYE 2018-04-19 07:14:58 UTC
Works fine on FC27 and CentOS-7

Comment 3 Olivier LAHAYE 2018-04-19 07:21:38 UTC
Fails to build on my centos-6 docker even with qt5 packages installed and even with disabling qwt and qsci in spec file. I assume it is not supported in el6 right?

smokegen package has been rebuilt (v4.14.3-6 from el7 src.rpm
smokeqt is the epel6 one (v4.7.3 as I can't build 4.14.3) and this is a problem

Then I'm stuck.

-----------------------------------------------------------------------------
-- The following external packages were located on your system.
-- This installation will have the extra features provided by these packages.
-----------------------------------------------------------------------------
   * QScintilla2 - QScintilla2 libraries
   * QImageBlitz - QImageBlitz library
   * Phonon - Phonon multimedia framework
   * Qwt5 for Qt4 - Qwt5 libraries for Qt4

-----------------------------------------------------------------------------
-- Congratulations! All external packages have been found.
-----------------------------------------------------------------------------

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
SMOKE_QSCI_LIBRARY (ADVANCED)
    linked by target "perl_qsci" in directory /root/rpmbuild/BUILD/perlqt-4.14.3/qsci/src
SMOKE_QWT_LIBRARY (ADVANCED)
    linked by target "perl_qwt" in directory /root/rpmbuild/BUILD/perlqt-4.14.3/qwt/src

Comment 4 Olivier LAHAYE 2018-04-19 07:50:37 UTC
(In reply to Olivier LAHAYE from comment #3)
> Fails to build on my centos-6 docker

Build success. Tests passed except:
15/36 Test #15: perlqt_helpcontextsensitivehelp ...***Failed    2.41 sec

did add this to the cmake_kde4:
    -DWITH_QScintilla=OFF \
    -DWITH_Qwt5=OFF \

Comment 5 Olivier LAHAYE 2018-04-19 09:06:09 UTC
Why do you patch test files while ENABLE_GUI_TESTS:BOOL exists in cmake files?
-DENABLE_GUI_TESTS=OFF works.

Now I've been able to build the package for CentOS-6 with:
    -DWITH_QScintilla=OFF \
    -DWITH_Qwt5=OFF \

What I did:
%{cmake_kde4} \
    -DCUSTOM_PERL_SITE_ARCH_DIR=%{perl_vendorarch} \
    -DCMAKE_SKIP_RPATH=YES \
    -DENABLE_GUI_TESTS=YES \
%if 0%{?el6}
    -DWITH_QScintilla=OFF \
    -DWITH_Qwt5=OFF \
%endif
%if !%{with perl_Qt_enables_x11_test}
    -DENABLE_GUI_TESTS=OFF \
%endif

Also add to fix the %licence which is broken on CentOS-6 (https://bugzilla.redhat.com/show_bug.cgi?id=1386639 not fixed in CentOS-6)

%if ! 0%{?el6}
%license LICENSE*
%else
%doc LICENSE*
%endif

Whith those 2 modifications, the package builds fine with epel6 stadanrd packages (smokeqt-devel-4.7.3-6.3.x86_64 smokegen-devel-4.7.3-4.3.x86_64 ...)

Comment 6 Fedora Update System 2018-04-19 16:58:53 UTC
perl-Qt-4.14.3-14.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-3d19253897

Comment 7 Sergio Monteiro Basto 2018-04-20 01:50:50 UTC
(In reply to Olivier LAHAYE from comment #5)
> Why do you patch test files while ENABLE_GUI_TESTS:BOOL exists in cmake
> files?
> -DENABLE_GUI_TESTS=OFF works.

what patches ? 

> Now I've been able to build the package for CentOS-6 with:
>     -DWITH_QScintilla=OFF \
>     -DWITH_Qwt5=OFF \
> 
> What I did:
> %{cmake_kde4} \
>     -DCUSTOM_PERL_SITE_ARCH_DIR=%{perl_vendorarch} \
>     -DCMAKE_SKIP_RPATH=YES \
>     -DENABLE_GUI_TESTS=YES \
> %if 0%{?el6}
>     -DWITH_QScintilla=OFF \
>     -DWITH_Qwt5=OFF \
> %endif
> %if !%{with perl_Qt_enables_x11_test}
>     -DENABLE_GUI_TESTS=OFF \
> %endif
> 
> Also add to fix the %licence which is broken on CentOS-6
> (https://bugzilla.redhat.com/show_bug.cgi?id=1386639 not fixed in CentOS-6)
> 
> %if ! 0%{?el6}
> %license LICENSE*
> %else
> %doc LICENSE*
> %endif

I have to check this , epel 6 I think it have %license macro 

> Whith those 2 modifications, the package builds fine with epel6 stadanrd
> packages (smokeqt-devel-4.7.3-6.3.x86_64 smokegen-devel-4.7.3-4.3.x86_64 ...)

Ah! you solved this node , I got on smokeqt-devel [1] in my copr repo [2] , you had also patched smokeqt ? what patch did you made ? 

[1] 
DEBUG util.py:484:  Error: No Package found for pkgconfig(QtDeclarative)
DEBUG util.py:484:  Error: No Package found for pkgconfig(qwt)

[2]
https://copr.fedorainfracloud.org/coprs/sergiomb/debs/
https://copr.fedorainfracloud.org/coprs/sergiomb/debs/build/721477/

Comment 8 Fedora Update System 2018-04-20 02:28:30 UTC
perl-Qt-4.14.3-14.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-17c6197d94

Comment 9 Fedora Update System 2018-04-20 02:28:47 UTC
perl-Qt-4.14.3-14.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f9dccf3015

Comment 10 Fedora Update System 2018-04-20 02:29:12 UTC
perl-Qt-4.14.3-14.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f61e0beb30

Comment 11 Fedora Update System 2018-04-20 04:01:57 UTC
perl-Qt-4.14.3-14.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-17c6197d94

Comment 12 Olivier LAHAYE 2018-04-20 14:52:21 UTC
(In reply to Sergio Monteiro Basto from comment #7)
> (In reply to Olivier LAHAYE from comment #5)
> > Why do you patch test files while ENABLE_GUI_TESTS:BOOL exists in cmake
> > files?
> > -DENABLE_GUI_TESTS=OFF works.
> 
> what patches ? 
What I mean is that I think that it is useless to remove by hand tests that use X11 (line 115, the bunch of sed) as I think that -DENABLE_GUI_TESTS=OFF is sufficient

> > What I did:
> > %{cmake_kde4} \
> >     -DCUSTOM_PERL_SITE_ARCH_DIR=%{perl_vendorarch} \
> >     -DCMAKE_SKIP_RPATH=YES \
> >     -DENABLE_GUI_TESTS=YES \
> > %if 0%{?el6}
> >     -DWITH_QScintilla=OFF \
> >     -DWITH_Qwt5=OFF \
> > %endif
> > %if !%{with perl_Qt_enables_x11_test}
> >     -DENABLE_GUI_TESTS=OFF \
> > %endif
> > 
> > Also add to fix the %licence which is broken on CentOS-6
> > (https://bugzilla.redhat.com/show_bug.cgi?id=1386639 not fixed in CentOS-6)
> > 
> > %if ! 0%{?el6}
> > %license LICENSE*
> > %else
> > %doc LICENSE*
> > %endif
> 
> I have to check this , epel 6 I think it have %license macro 

The %license macro exists in el6, but it seems buggy. I did hit this bug: https://bugzilla.redhat.com/show_bug.cgi?id=1386639
So I used a workaround :-)
Bug 1st reported here: https://bugs.mageia.org/show_bug.cgi?id=16818

> > Whith those 2 modifications, the package builds fine with epel6 stadanrd
> > packages (smokeqt-devel-4.7.3-6.3.x86_64 smokegen-devel-4.7.3-4.3.x86_64 ...)
> 
> Ah! you solved this node , I got on smokeqt-devel [1] in my copr repo [2] ,
> you had also patched smokeqt ? what patch did you made ? 

No I didn't patch smoke-qt. I 1st tried to use a more recent version as I though it was the problem, but it turned out that the standard 4.7.3-6.3 version works.

> DEBUG util.py:484:  Error: No Package found for pkgconfig(QtDeclarative)
> DEBUG util.py:484:  Error: No Package found for pkgconfig(qwt)
As you can see above, I had to disable those 2 following options:
    -DWITH_QScintilla=OFF \
    -DWITH_Qwt5=OFF \
If those options are not disabled, it fails to build.
I didn't dig much into this as I only need basic perl-Qt4 for OSCAR Cluster netbootmgr component, and in the end, the result is far better than nothing.

Comment 13 Sergio Monteiro Basto 2018-04-20 18:32:18 UTC
(In reply to Olivier LAHAYE from comment #12) 
> The %license macro exists in el6, but it seems buggy. I did hit this bug:
> https://bugzilla.redhat.com/show_bug.cgi?id=1386639
> So I used a workaround :-)
> Bug 1st reported here: https://bugs.mageia.org/show_bug.cgi?id=16818

I didn't have problems with debmirror (built yesterday) [1]   

[1]
https://koji.fedoraproject.org/koji/rpminfo?rpmID=13798965

Comment 14 Fedora Update System 2018-04-21 04:37:54 UTC
perl-Qt-4.14.3-14.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f61e0beb30

Comment 15 Fedora Update System 2018-04-21 05:02:40 UTC
perl-Qt-4.14.3-14.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f9dccf3015

Comment 16 Sergio Monteiro Basto 2018-04-24 01:50:13 UTC
(In reply to Olivier LAHAYE from comment #12)
> What I mean is that I think that it is useless to remove by hand tests that
> use X11 (line 115, the bunch of sed) as I think that -DENABLE_GUI_TESTS=OFF
> is sufficient

I think that you want disable all test, while package just disable X11 tests, but for me is a detail, that I don't care.


> No I didn't patch smoke-qt. I 1st tried to use a more recent version as I
> though it was the problem, but it turned out that the standard 4.7.3-6.3
> version works.

hum you found this one ?  https://build.opensuse.org/package/show/home:cathay4t:misc-rhel6/smokeqt ? 

yeah I took some patches from it . 

 
> I didn't dig much into this as I only need basic perl-Qt4 for OSCAR Cluster
> netbootmgr component, and in the end, the result is far better than nothing.

I built successfully perl-Qt on my corp repo [1] but build in epel6 have an annoying bug [2], in package build we have a bug on "Finding  Requires" script :( , so I can't publish it (yet). 

Thanks for the report and all help 

[1]
https://copr.fedorainfracloud.org/coprs/sergiomb/debs/package/perl-Qt/


[2] 
mock -r epel-6-x86_64 --no-clean --install https://copr-be.cloud.fedoraproject.org/results/sergiomb/debs/epel-6-x86_64/00744168-perl-Qt/perl-Qt-4.14.3-15.el6.x86_64.rpm

nothing provides QtCore4.so()(64bit) needed by perl-Qt-4.14.3-15.el6.x86_64

Comment 17 Fedora Update System 2018-05-03 02:24:01 UTC
perl-Qt-4.14.3-14.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-17c6197d94

Comment 18 Fedora Update System 2018-05-03 20:21:23 UTC
perl-Qt-4.14.3-14.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-17c6197d94

Comment 19 Fedora Update System 2018-05-11 21:12:54 UTC
perl-Qt-4.14.3-14.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-05-13 19:52:23 UTC
perl-Qt-4.14.3-14.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-05-13 20:17:26 UTC
perl-Qt-4.14.3-14.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2018-05-19 04:37:53 UTC
perl-Qt-4.14.3-14.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.